<template>
    <div class="mt-3">
        <div v-for="slide in getPresentationSlides(id)" :key="slide.id">
            <v-row no-gutters>
                <v-col cols="10">
                    <router-link
                        :to="'/presentation/' + id + '/' + slide.id"
                        class="custom-link"
                    >
                        <v-card height="110" style="overflow: hidden" class="ma-3 pa-3">
                            <div v-html="slide.content"></div>
                        </v-card>
                    </router-link>
                </v-col>
                <v-col cols="2">
                    <v-btn icon @click="deleteSlide(id, slide.id)" color="error">
                        <v-icon>mdi-close</v-icon>
                    </v-btn>
                </v-col>
            </v-row>
        </div>
        <v-btn class="ma-3" block @click="addSlide(id)">
            <v-icon>mdi-plus</v-icon>
        </v-btn>
    </div>
</template>

<script>
import { getPresentationSlides } from "@/services/presentations";

export default {
    data() {
        return {
            numberOfSlides: 0,
        };
    },
    props: ["id"],
    methods: {
        addSlide(presentationId) {
            try {
                this.$store.dispatch('slide/addSlide', presentationId)
            } catch (e) {
                console.error(e)
            }
        },
        deleteSlide(presentationId, slideId) {
            try {
                this.$store.dispatch('slide/deleteSlide', { presentationId, slideId })
            } catch (e) {
                console.error(e);
            }
        },
        getPresentationSlides,
    },
};
</script>
